Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.update
Class ValueUpdate

    java.lang.Object
      edu.stanford.smi.protege.server.update.ValueUpdate

All Implemented Interfaces:
  Localizable, Serializable

Direct Known Subclasses:
  FrameEvaluationCompleted, FrameEvaluationPartial, FrameEvaluationStarted, RemoveFrameCache, SftUpdate

    public abstract class ValueUpdate

extends Object
implements Localizable, Serializable

See Also:
  Serialized Form

Constructor Summary
`ValueUpdate(Frame frame)`

Method Summary
`RemoteSession` | `getClient()`
`Frame` | `getFrame()`
`abstract ValueUpdate` | `getInvalidatingVariant()`
`boolean` | `isTransactionScope()`
`void` | `localize(KnowledgeBase kb)`
`void` | `setClient(RemoteSession client)`
`void` | `setTransactionScope(boolean transactionScope)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueUpdate

    public ValueUpdate(Frame frame)

Method Detail

### getFrame

    public Frame getFrame()

### getClient

    public RemoteSession getClient()

### setClient

    public void setClient(RemoteSession client)

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

### isTransactionScope

    public boolean isTransactionScope()

### setTransactionScope

    public void setTransactionScope(boolean transactionScope)

### getInvalidatingVariant

    public abstract ValueUpdate getInvalidatingVariant()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.